Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lsmp.djep.xjep
Class XVariable

    java.lang.Object
      java.util.Observable
          org.nfunk.jep.Variable
              org.lsmp.djep.xjep.XVariable

Direct Known Subclasses:
  DVariable, PartialDerivative

    public class XVariable

extends Variable

Variables which have their equations stored.

Author:
  Rich Morris Created on 28-Feb-2004

Field Summary

Fields inherited from class org.nfunk.jep.Variable
`name`

Constructor Summary
`XVariable(java.lang.String name)`
`XVariable(java.lang.String name, java.lang.Object value)`

Method Summary
`java.lang.Object` | `calcValue(XJep jep)` Calculates the value for the variables equation and returns that value.
`Node` | `getEquation()` get the equation
`boolean` | `hasEquation()` Does this variable has an associated equation?
`void` | `setEquation(Node eqn)` sets the equation
`java.lang.String` | `toString(PrintVisitor pv)` Returns a string rep of variable with its equation and value.

Methods inherited from class org.nfunk.jep.Variable
`getName, getValue, hasValidValue, isConstant, setIsConstant, setValidValue, setValue, setValueRaw, toString`

Methods inherited from class java.util.Observable
`addObserver, clearChanged, countObservers, deleteObserver, deleteObservers, hasChanged, notifyObservers, notifyObservers, setChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XVariable

    public XVariable(java.lang.String name)

### XVariable

    public XVariable(java.lang.String name,
                     java.lang.Object value)

Method Detail

### hasEquation

    public boolean hasEquation()

  Does this variable has an associated equation?

### setEquation

    public void setEquation(Node eqn)

  sets the equation

### getEquation

    public Node getEquation()

  get the equation

### calcValue

    public java.lang.Object calcValue(XJep jep)
                               throws java.lang.Exception

  Calculates the value for the variables equation and returns that value.

  Throws:
    `java.lang.Exception`

### toString

    public java.lang.String toString(PrintVisitor pv)

  Returns a string rep of variable with its equation and value.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

http://www.singularsys.com/jep Copyright © 2007 Singular Systems